Thu Jun 23 13:46:08 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.0.3 released.

Mon Jun 20 15:38:24 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/DevGuideExamples/Messenger/Administrator_exec_i.h:
        * examples/DevGuideExamples/Messenger/History_exec_i.cpp:
        * examples/DevGuideExamples/Messenger/Messenger.mpc:
        * examples/DevGuideExamples/Messenger/Messenger_exec_i.h:
        * examples/DevGuideExamples/Messenger/Messenger_exec_i.cpp:
        * examples/DevGuideExamples/Messenger/Receiver_exec_i.h:
        * examples/DevGuideExamples/Messenger/descriptors/run_test.pl:
          Some cleanup and simplifications but this example doesn't deploy yet

Mon Jun 20 13:58:32 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
          Fixed coverity errors

Mon Jun 20 08:02:38 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/docs/TestCoverage.ods:
          Updated.

        * connectors/dds4ccm/tests/Derived/Derived.idl:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.mpc:
          Code alignment. Corrected some incorrect names.

        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.h:
          Code alignment.

Sun Jun 19 18:00:12 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Hello/Sender/Sender_exec.cpp:
          Fixed memory leak

Sat Jun 18 08:14:04 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Hello/Receiver/Receiver_exec.cpp:
          Fixed compiler error on windows.

Fri Jun 17 13:53:44 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Hello/descriptors/PlanLocality_DifferentProcesses.cdp:
          Renamed "SameProcess" to "DifferentProcess"

        * examples/Hello/step-by-step.html:
          Update. Fixed some typos.

Fri Jun 17 12:47:24 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Hello/step-by-step.html:
          Update. Started rewriting Assemble.

        * examples/Null_Component/Null_Component.mpc:
        * examples/Null_Component_Glfa/Null_Component.mpc:
          Let the TAO IDL compiler generate the executor files.

        * examples/Null_Component/Null_Component_exec.h:
        * examples/Null_Component/Null_Component_exec.cpp:
        * examples/Null_Component/plan.h:
        * examples/Null_Component_Glfa/Null_Component_exec.h:
        * examples/Null_Component_Glfa/Null_Component_exec.cpp:
          Removed since the TAO IDL compiler generates these files
          on the fly.

        * examples/Philosophers:
        * examples/Philosophers/Philosophers.idl:
        * examples/Philosophers/README:
          Removed these files.

Fri Jun 17 12:21:03 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Hello/step-by-step.html:
          Describing ccm_noevent in default.features. Made an extra
          link to the description of "starter".

        * examples/Hello/descriptors/Domain.cdd:
        * examples/Hello/descriptors/Hello.pcd:
        * examples/Hello/descriptors/package.tpd:
        * examples/Hello/descriptors/svc_em.conf:
          Removed these files since they may confuse the user.

Fri Jun 17 11:52:57 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Hello/Sender/Sender.mpc:
          Regenerated, using the -e option in generate_component_mpc.
          We're using events in this example.

        * examples/Hello/step-by-step.html:
          Added the -e option to the description of generate_component_mpc.

Fri Jun 17 11:33:44 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Hello/descriptors/PlanLocality_DifferentProcesses.cdp:
        * examples/Hello/descriptors/PlanLocality_SameProcess.cdp:
          According to latest version of the Hello example.

Fri Jun 17 11:23:32 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Hello/Receiver/Receiver.idl:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Hello/Receiver/Receiver_exec.h:
        * examples/Hello/Receiver/Receiver_exec.cpp:
        * examples/Hello/Sender/Sender.idl:
        * examples/Hello/Sender/Sender.mpc:
        * examples/Hello/Sender/Sender_exec.h:
        * examples/Hello/Sender/Sender_exec.cpp:
        * examples/Hello/descriptors/DeploymentPlan.cdp:
        * examples/Hello/descriptors/DeploymentPlan_without_ns.cdp:
        * examples/Hello/step-by-step.html:
          Rewritten. Regenerated the mpc and executor code. Also
          using unhomed components. Next step is to test and change
          the other perl scripts.

Thu Jun 16 11:05:53 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/examples/Quoter/Producer/Quoter_Producer_exec.cpp:
          Fixed memory leak in this test

Thu Jun 16 08:36:24 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Fixed runtime issues in close.

        * connectors/dds4ccm/tests/TypeSupport/main.cpp:
          Expanded test with a few other tests.

Thu Jun 16 07:19:26 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Sender/CFTLS_Test_Sender_exec.cpp:
          Fixed memory leak in this test

Wed Jun 15 13:38:57 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Optimized management of DomainParticipants and type-factory combinations.

Wed Jun 15 07:30:00 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Base/TypeRegistration_Test_Base.idl:
          Fixed error in openDDS.

Tue Jun 14 13:36:00 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/DAnCE/Executor-Destructor/Exec_Dest_Status_export.h:

          Fuzz.

Tue Jun 14 12:03:17 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
          Fixed compile issue on openDDS.

Tue Jun 14 08:46:29 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.cpp:
          Coverity : checked return value of register_type.

Mon Jun 13 09:09:56 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/descriptors/Plan.cdp:
          Fixed runtime issue due to renaming action.

Sat Jun 11 08:18:19 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/TypeSupport/main.cpp:
          Fuzz: no ending new line at the end of the file.

Sat Jun 11 08:17:03 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Base/TypeRegistration_Test_Base.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Component/TypeRegistration_Test_Component.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Connector/TypeRegistration_Test_Connector.mpc:
          Fixed compile issues after renaming of project names.

Fri Jun 10 15:01:15 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/TypeSupport:
        * connectors/dds4ccm/tests/TypeSupport/TypeSupport.mpc:
        * connectors/dds4ccm/tests/TypeSupport/main.cpp:
        * connectors/dds4ccm/tests/TypeSupport/run_test.pl:
          Added a new (regular C++) which tests the TypeSupport class and its
          internal type factory administration.

Fri Jun 10 14:54:14 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
          Code alignment.

        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Fuzz. Mismatched trace.

Fri Jun 10 14:48:01 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Base/TypeRegistration_Test_Base.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Component/TypeRegistration_Test_Component.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Connector/TypeRegistration_Test_Connector.mpc:
          Fuzz. Shorten project names

Fri Jun 10 11:35:16 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
          Added the memory leak test to the test framework

Fri Jun 10 11:17:36 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Fixed memory leak in the register_type/unregister_type implemenation. This
          memory existed because of the fact that two different topics where based
          on the same datatype.
          To fix this, a new map was created wich contains the DomainParticipant in
          combination with the already existing type factories. Type factories
          are now stored and removed per DomainParticipant.

        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Base:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Base/TypeRegistration_Test_Base.idl:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Base/TypeRegistration_Test_Base.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Component:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Component/TypeRegistration_Test_Component.idl:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Component/TypeRegistration_Test_Component.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Component/TypeRegistration_Test_Component_exec.h:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Component/TypeRegistration_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Connector:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Connector/TypeRegistration_Test_Connector.idl:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/Connector/TypeRegistration_Test_Connector.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/descriptors:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/MemLeakDetection/TypeRegistration/descriptors/run_test.pl:
          Added test to verify whether the memory leak is fixed.

Wed Jun  8 12:32:48 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
          Fixed problem with OpenDDS

Wed Jun  8 07:00:55 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/tests/AMIDDS/Receiver/AmiDds_Receiver_exec.cpp:
          Resolved compile error in case NDDS.

Tue Jun  7 12:34:23 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/tests/AMIDDS/Receiver/AmiDds_Receiver_exec.cpp:
          Removed unused declaration

Tue Jun  7 11:56:36 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/tests/AMIDDS/Receiver/AmiDds_Receiver_exec.cpp:
          Fixed warning.

Mon Jun  6 15:08:05 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
          Extended support

Wed Jun  1 12:56:35 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
          Don't use the invalid macros but just use !=  for handle comparison

Wed Jun  1 08:27:26 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.mpc:
          Fixed export macro for OpenDDS

Wed Jun  1 01:56:05 UTC 2011  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tests/DAnCE/Executor-Destructor/Exec_Dest_Status.h:
        * tests/DAnCE/Executor-Destructor/Exec_Dest_Status.cpp:
        * tests/DAnCE/Executor-Destructor/Exec_Dest_Status_export.h:
        * tests/DAnCE/Executor-Destructor/Executor_Destructor.mpc:
        * tests/DAnCE/Executor-Destructor/Executor_Destructor_Interceptor.cpp:

          Fix for bugzilla 3963.  On certain platforms (e.g., FC15), when
        a library which is dlopened links another library which is
        dlopened, this may cause spurious error messages upon exit
        exit of the LocalityManager from ld.so.

Tue May 31 12:27:54 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Union/VT_Union_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Conn_Valuetype/VT_Valuetype_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Union/VTS_Union_Connector.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Conn_Valuetype/VTS_Valuetype_Connector.idl:
          Disable some parts for opendds

Tue May 31 08:56:09 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl:
          OpenDDS doesn't support a topic with a valuetype member

Mon May 30 12:07:40 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
          Removed unused ACE_ARG_UNUSED.

        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          PSAT stub project was using the *.cxx, generated by the
          DDS IDL compiler. Fixed this by merging two projects
          (idl_gen and _stub) into one (_stub).

Sun May 29 17:31:41 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          Specify some more opendds ts flags

Sun May 29 17:22:08 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver.mpc:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component.mpc:
          These components use ndds specific features

Fri May 27 12:44:32 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
          Resolved errors in builds with other DDS vendors then ndds

Thu May 26 20:29:07 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/DAnCE/Progressive_Deployments/run_test.pl:
          ../lib is not necessary; it doesn't even exist.

Thu May 26 07:13:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
          Fixed compile error

Wed May 25 10:56:26 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
          Fixed argument not used warnings

Tue May 24 18:52:31 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
          Improved portability

Tue May 24 11:17:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver.mpc:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Component/NonChangeable_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component.mpc:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.idl:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.idl:
          Increased portability

Tue May 24 09:12:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
          Increased portability

Tue May 24 08:26:15 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds4ccm_conf.h:
          Increased portability

Mon May 23 18:24:38 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Increased portability

Mon May 23 15:07:33 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/PublisherListener.cpp:
        * connectors/dds4ccm/impl/dds4ccm_conf.h:
        * connectors/dds4ccm/performance-tests/Throughput/Base/Throughput_Base.idl:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.idl:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/ListenManyByMany/Receiver/LMBM_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ListenOneByOne/Receiver/LOBO_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/OIT_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Base/QCTL_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Receiver/QCTL_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.idl:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender_exec.cpp:
        * connectors/tests/AMIDDS/Receiver/AmiDds_Receiver_exec.cpp:
          Increased portability

Mon May 23 10:49:10 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/Latency/Base/LatencyTT_Test_Base.idl:
        * connectors/dds4ccm/performance-tests/Throughput/Base/Throughput_Base.idl:
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.idl:
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.idl:
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.idl:
        * connectors/dds4ccm/tests/NoModule/NoModule.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.idl:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Base.idl:
        * connectors/dds4ccm/tests/PSAT/psat_type.idl:
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
          Added needed pragma's for OpenDDS

Mon May 23 09:49:50 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/tests/AMIDDS/Base/AmiDds_DDS.idl:
          Added needed pragma's for OpenDDS

Mon May 23 09:37:23 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm.mpb:
          Attempt to give dds4ccm libraries the correct version number when
          OpenDDS isenabled

        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.idl:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.idl:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.idl:
          Added needed pragma's for OpenDDS

Mon May 23 09:00:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.idl:
          Added needed pragma's for OpenDDS

Mon May 23 08:36:09 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/dds4ccm_conf.h:
          Added DDS_INSTANCE_HANDLE_VALID

Mon May 23 07:41:20 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl:
        * connectors/dds4ccm/tests/NoModule/NoModule.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.idl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/OIT_Test_Base.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Base.idl:
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.idl:
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.idl:
        * connectors/dds4ccm/tests/PortUsage/Base/PortUsage_Test_Base.idl:
        * connectors/dds4ccm/tests/Proxies/ReadWrite/Base/Proxy_RW_Test_Base.idl:
        * connectors/dds4ccm/tests/QosProfile/Base/QosProfile_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/Different/Base/Different_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Base/QCTL_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Base/QCTQ_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueriesMany/Base/QCTQM_Test_Base.idl:
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.idl:
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.idl:
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.idl:
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.idl:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.idl:
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.idl:
        * connectors/dds4ccm/tests/TopicName/Base/TopicName_Test_Base.idl:
          Fixes for OpenDDS support

Fri May 20 14:14:32 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.idl:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Base/CFTLE_Test_Base.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Base/CFTLS_Test_Base.idl:
        * connectors/dds4ccm/tests/DDSEntity/Base/Writer_Base.idl:
        * connectors/dds4ccm/tests/Derived/Derived.idl:
        * connectors/dds4ccm/tests/DoubleNestedModule/Base/DNM_Base.idl:
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.idl:
        * connectors/dds4ccm/tests/MemLeakDetection/Event_MemLeakDetection_Test/Base/Event_MemLeakDetection_Test_Base.idl:
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.idl:
          Added needed pragma's for OpenDDS

Fri May 20 09:18:56 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl:
          Added needed pragma's for OpenDDS

Fri May 20 07:55:44 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.idl:
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.idl:
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.idl:
          Added needed pragma's for OpenDDS

Fri May 13 18:00:06 UTC 2011  James H. Hill  <hillj at cs dot iupui dot edu>

        * tutorials/Quoter/Simple/03.html:

          Updated the stock quoter example.

Tue May 11 13:21:37 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * examples\Display\NavDisplayGUI_exec\DetailView.h:
        * examples\Display\NavDisplayGUI_exec\RootPanel.cpp:
        * examples\Display\NavDisplayGUI_exec\NodeItem.cpp:
        * examples\Display\NavDisplayGUI_exec\RootPanel.h:
        * examples\Display\NavDisplayGUI_exec\NodeItem.h:
        * examples\Display\NavDisplayGUI_exec\Worker.cpp:
        * examples\Display\NavDisplayGUI_exec\MapView.h:
        * examples\Display\NavDisplayGUI_exec\Command.h:
        * examples\Display\NavDisplayGUI_exec\NavDisplayGUI_exec.cpp:
        * examples\Display\NavDisplayGUI_exec\NavUnit.cpp:
        * examples\Display\NavDisplayGUI_exec\UpdatePositionCmd.cpp:
        * examples\Display\NavDisplayGUI_exec\DetailView.cpp:
        * examples\Display\GPS\GPS_exec.h:
        * examples\Display\GPS\GPS_exec.cpp:
        * examples\Display\README.html:
        Made example running on Windows, changed deprecated Qt includes.


Tue May 11 08:15:37 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * examples/Display/README.html:
        * examples/Display/example.gif:
        Add image to readme.

Tue May 11 07:09:37 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * examples/Display/descriptors/run_test_more.pl:
        * examples/Display/descriptors/deploymentplanone.cdp:
        * examples/Display/descriptors/deploymentplanmore.cdp:
        * examples/Display/descriptors/run_test_more_contr.pl:
        * examples/Display/descriptors/flattened_deploymentplannat.cdp:
        * examples/Display/descriptors/run_all_in_one.pl:
        * examples/Display/descriptors/run_test.pl:
        * examples/Display/descriptors/run_test_one.pl:
        Solved Fuzz errors.

Wed May 11 05:32:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm.mpb:
          Fixed problem with last commit

Tue May 10 18:32:40 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm.mpb:
          Added include paths

        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
          Fixed Coverity errors

Tue May 10 12:38:37 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst:
        * examples/Display/Display_Base/Display_Base.idl:
        * examples/Display/descriptors/flattened_deploymentplannat.cdp:
        * examples/Display/descriptors/run_test.pl:
        * examples/Display/NavDisplayGUI_exec/DetailView.h:
        * examples/Display/NavDisplayGUI_exec/RootPanel.cpp:
        * examples/Display/NavDisplayGUI_exec/NodeItem.cpp:
        * examples/Display/NavDisplayGUI_exec/MapView.cpp:
        * examples/Display/NavDisplayGUI_exec/RootPanel.h:
        * examples/Display/NavDisplayGUI_exec/NodeItem.h:
        * examples/Display/NavDisplayGUI_exec/Worker.cpp:
        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc:
        * examples/Display/NavDisplayGUI_exec/MapView.h:
        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec.cpp:
        * examples/Display/NavDisplayGUI_exec/NavUnit.cpp:
        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec.h:
        * examples/Display/NavDisplayGUI_exec/NavUnit.h:
        * examples/Display/NavDisplayGUI_exec/DetailView.cpp:
        * examples/Display/RateGen/controller.cpp:
        * examples/Display/RateGen/RateGen_exec.cpp:
        * examples/Display/GPS/GPS.idl:
        * examples/Display/GPS/GPS_exec.h:
        * examples/Display/GPS/GPS_exec.cpp:
        * examples/Display/NavDisplay/NavDisplay_exec.cpp:
        * examples/Display/NavDisplay/NavDisplay.idl:
        * examples/Display/NavDisplay/NavDisplay_exec.h:
        Made test  working again with GUI display, using one or more GPS devices.
        Used only QT4, removed qt3support. Not yet tested on Windows.

        * examples/Display/descriptors/basicNodeDaemon.pl:
        * examples/Display/descriptors/flattened_deploymentplan.cdp:
        * examples/Display/descriptors/DeploymentPlan.cdp:
        * examples/Display/GPS/GPS_tracing_exec.cpp:
        * examples/Display/GPS/GPS_tracing_exec.h:
        Deleted this files. Not used anymore.

        * examples/Display/descriptors/deploymentplanmore.cdp:
        * examples/Display/descriptors/run_test_one_contr.pl:
        * examples/Display/descriptors/run_all_in_one.pl:
        * examples/Display/descriptors/run_test_more.pl:
        * examples/Display/descriptors/deploymentplanone.cdp:
        * examples/Display/descriptors/run_test_more_contr.pl:
        * examples/Display/descriptors/run_test_one.pl:
        Added scripts for running GUI test (one and more) and test_all_in_one for testsuite.

Tue May 10 06:25:37 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Resolved coverity errors/warnings. Check pointer if nil before using it.

Mon May  9 10:58:16 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/Utils.cpp:
          Don't throw an exception when a wrong QosProfile is applied. In the
          end the creation of the DDS entity will fail. As a result to that, an
          exception is thrown. This'll simply code and logging.

        * connectors/dds4ccm/tests/QosProfile/descriptors/PlanMultipleHashes.cdp:
          Added another test.

Mon May  9 08:56:04 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
          Created a template class for the DataReaderListener and DataReaderStateListener
          threadswitch. This'll reduce double code.

Sun May  8 19:05:42 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/Updater_T.cpp:
          Give local variable unique name

        * connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Receiver/Throughput_Receiver.cpp:
          Fixed possible memory leaks

Thu May  5 08:26:59 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
          Only asign status when things go wrong.

Wed May  4 11:37:31 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/Utils.cpp:
          Improved handling of Qos profile string. Throwing a ::CORBA::INTERAL
          when the Qos profile string does not meet the requirements
          (i.e. containing a '#'-sign).

        * connectors/dds4ccm/tests/QosProfile/descriptors/PlanNoHash.cdp:
        * connectors/dds4ccm/tests/QosProfile/descriptors/PlanWrongNames.cdp:
        * connectors/dds4ccm/tests/QosProfile/descriptors/run_test.pl:
          Extended this test with a malformed Qos profile string.

        * connectors/dds4ccm/tests/QosProfile/descriptors/Plan.cdp:
          Removed this file.

Thu Apr 28 14:00:42 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * bin/generate_component_mpc.pl:
          Added a -I as commandline parameter. This will set an
          include directory for all projects (cpp and idl).

        * connectors/dds4ccm/impl/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
          Adding and removing reference manually. This'll prevent removing the
          listener while the reactor still has messages to handle.

Tue Apr 26 13:57:23 UTC 2011  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * examples/Display/descriptors/run_test_without_ns.pl:
        * examples/Display/descriptors/NodeManagerMap.cdd:
        * examples/Display/descriptors/run_NodeDaemons.pl:
        Deleted unused files.

        * examples/Display/README.html:
        * examples/Display/RateGen/RateGen_exec.cpp:
        * examples/Display/GPS/GPS_exec.cpp:
        Changed to make test working again.

        * examples/Display/ run_test_contr.pl:
        * examples/Display/flattened_deploymentplannat.cdp:
        * examples/Display/run_test.pl:
        Added for running test in console mode.


Sat Apr 23 19:48:23 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/tests/AMIDDS/Sender/AmiDds_Sender_exec.cpp:
          Deleting the ticker in a consistent manner. Created in the constructor,
          deleting it in the destructor.

Fri Apr 22 19:26:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/Updater_T.cpp:
          Give local variable a different name to not match argument

Fri Apr 22 13:01:26 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/tests/AMIDDS/Sender/AmiDds_Sender_exec.cpp:
          Always delete stuf which was created in the constructor.

Fri Apr 22 08:24:41 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender_exec.cpp:
          Added missing breaks

Fri Apr 22 07:35:30 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * performance-tests/Protocols/descriptors/svc.conf:
          Fuzz: Added $Id string.

Thu Apr 21 09:38:23 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm.mpb:
        * MPC/config/dds4ccm_base.mpb:
        * MPC/config/dds4ccm_impl.mpb:
        * MPC/config/dds4ccm_ts_default.mpb:
          Extended base projects

Thu Apr 21 08:29:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/ndds_idltocpp_ts_defaults.mpb:
          Added taolib

Wed Apr 20 08:11:49 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_TAO_DAnCE.mwc:
        * MPC/config/dds4ccm_ts_default.mpb:
        * MPC/config/ndds_idltocpp.mpb:
        * MPC/config/ndds_idltocpp_stub.mpb:
        * MPC/config/ndds_idltocpp_ts_defaults.mpb:
        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.idl:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Common.idl:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Common.mpc:
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.idl:
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
        * connectors/dds4ccm/idl/dds4ccm_Base.idl:
        * connectors/dds4ccm/idl/dds4ccm_QueryFilter.idl:
        * connectors/dds4ccm/idl/dds4ccm_skel.mpc:
        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_dcps.idl:
        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.h:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
        * connectors/dds4ccm/impl/ConditionManager.h:
        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/PortStatusListener.cpp:
        * connectors/dds4ccm/impl/PublisherListener.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/Updater_T.h:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.h:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_conf.h:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/ndds/WaitSet.h:
        * connectors/dds4ccm/performance-tests/Latency/Base/LatencyTT_Test_Base.idl:
        * connectors/dds4ccm/performance-tests/Throughput/Base/Throughput_Base.idl:
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.idl:
        * connectors/dds4ccm/tests/CSLDeadline/Sender/CSL_DeadlineTest_Sender.mpc:
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.idl:
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.idl:
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.idl:
        * connectors/dds4ccm/tests/CoherentUpdater/Base/CoherentUpdate_Test_Base.idl:
        * connectors/dds4ccm/tests/CoherentWriter/Base/CoherentWrite_Test_Base.idl:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Base/CFT_Test_Base.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Base/CFTLE_Test_Base.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Base/Exception_Test_Base.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Base/ReadGet_Test_Base.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Base/CFTLS_Test_Base.idl:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Sender/CFTLS_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Base/Writer_Base.idl:
        * connectors/dds4ccm/tests/Derived/Derived.idl:
        * connectors/dds4ccm/tests/DoubleNestedModule/Base/DNM_Base.idl:
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.idl:
        * connectors/dds4ccm/tests/GetComponent/Event/Base/GCE_Test_Base.idl:
        * connectors/dds4ccm/tests/GetComponent/State/Base/GCS_Test_Base.idl:
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.idl:
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.idl:
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.idl:
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.idl:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Base/RG_LateBinding_Base.idl:
        * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Base/WU_LateBinding_Base.idl:
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.idl:
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.idl:
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.idl:
        * connectors/dds4ccm/tests/MemLeakDetection/Event_MemLeakDetection_Test/Base/Event_MemLeakDetection_Test_Base.idl:
        * connectors/dds4ccm/tests/MemLeakDetection/State_MemLeakDetection_Test/Base/State_MemLeakDetection_Test_Base.idl:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Base/MultipleTemp_Base.idl:
        * connectors/dds4ccm/tests/NoModule/NoModule.idl:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.idl:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/OIT_Test_Base.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Base.idl:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Base.idl:
        * connectors/dds4ccm/tests/PSAT/psat_type.idl:
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.idl:
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.idl:
        * connectors/dds4ccm/tests/PortUsage/Base/PortUsage_Test_Base.idl:
        * connectors/dds4ccm/tests/Proxies/ReadWrite/Base/Proxy_RW_Test_Base.idl:
        * connectors/dds4ccm/tests/QosProfile/Base/QosProfile_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/Different/Base/Different_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Base/QCTL_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Base/QCTQ_Test_Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueriesMany/Base/QCTQM_Test_Base.idl:
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.idl:
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.idl:
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.idl:
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.idl:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.idl:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.idl:
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.idl:
        * connectors/dds4ccm/tests/TopicName/Base/TopicName_Test_Base.idl:
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.idl:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.idl:
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.idl:
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.idl:
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.idl:
        * connectors/dds4ccm/tests/UserdataCopyCount/Base/UCC_Test_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.idl:
          Extended portability for dds4ccm

Wed Apr 20 09:52:52 CEST 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.0.2 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:
